Description

The following patch adds data defined label position for the new labeling engine. Martin, could you review it?

And maybe it is a good time to synchronize the pal changes (also the curved labeling) with the main pal library

Marco

History

#1 - 2010-09-16 12:26 AM - Marco Hugentobler

The patch is improved now. There is the additional capability of showing direction symbols ('<','>') for labels in case of placement parallel to line or polygon

border.

#2 - 2010-09-23 12:13 AM - Marco Hugentobler

Added another improved patch with the following new features:

- data defined label distance

- data defined rotation (only possible in case of data defined position to not interfere with the smart label placement of pal)

- possibility to have font size in map units

#3 - 2010-09-23 12:32 AM - Giovanni Manghi

When applied, this will close #3023

#4 - 2010-10-08 01:34 AM - Marco Hugentobler

Patch updated to apply cleanly with current trunk

#5 - 2010-10-20 01:25 PM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

Marco,

finally I've looked at the patch and it looks fine. As I don't know when exactly you return from your holidays, I've committed the patch in  so that it doesn't

miss the deadline for 1.6 release.
Files

100911_data_defined_label_position.diff 25.5 KB 2010-09-11 Marco Hugentobler

100916_data_defined_label_position.diff 33.4 KB 2010-09-15 Marco Hugentobler

100923_data_defined_label_position.diff 45.2 KB 2010-09-22 Marco Hugentobler

101008_data_defined_label_position.diff 45.2 KB 2010-10-07 Marco Hugentobler
